.TH IRCD-MKPASSWD "8" "May 2002" 
.SH NAME
ircd-mkpasswd \- generate password hashes for ircd
.SH SYNOPSIS
.hy 0
.BI "ircd-mkpasswd [-m|-d] [-l saltlength] [-s salt] [-p plaintext]"
.LP
\fB\-m\fR Generate an MD5 password
.LP
\fB\-d\fR Generate a DES password
.LP
\fB\-l\fR Specify a length for a random MD5 salt
.LP
\fB\-s\fR Specify a salt, 2 alphanumeric characters for DES, up to 16 for MD5
.LP
\fB\-p\fR Specify a plaintext password to use
.LP
Example: ircd-mkpasswd \fB\-m\fR \fB\-s\fR 3dr \fB\-p\fR test
.LP
.SH DESCRIPTION
.LP
ircd-mkpasswd generates SALT encrypted passwords for use in ircd.conf
